%define version	1.9.6
%define release %mkrel 4

# randomly assign major number, sigh. splitting too many subpackages
# is also not a good solution.
%define major 2
%define libname %mklibname %{pkgname} %{major}
%define pkgname g-wrap

Summary:	A tool for creating Scheme interfaces to C libraries
Name:		%{pkgname}2
Version:	%{version}
Release:	%{release}
Group:		Development/GNOME and GTK+
License:	GPL
URL:		http://www.nongnu.org/g-wrap/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0:	http://savannah.nongnu.org/download/g-wrap/g-wrap-%{version}.tar.gz
Source1:	http://savannah.nongnu.org/download/g-wrap/g-wrap-%{version}.tar.gz.sig
# (Abel) Check for glib 2.x, not 1.x
Patch0:		g-wrap-1.9.6-glib-cflags.patch.bz2
# (Abel) Rename info file, avoid conflict with g-wrap 1.3.x
Patch1:		g-wrap-1.9.6-info.patch.bz2
BuildRequires:	guile-devel >= 1.6
BuildRequires:	glib2-devel
BuildRequires:	guile-lib
# necessary for patch1
BuildRequires:	texinfo
Requires:	%{libname} = %{version}
Requires:	guile-lib

%description
g-wrap is a tool for creating Scheme interfaces to C libraries.  At
the moment it is most heavily focused on providing access to C
libraries from guile, but it also supports RScheme.

%package -n	%{libname}
Summary:	%{summary}
Group:		%{group}
Requires:	%{name} = %{version}

%description -n	%{libname}
g-wrap is a tool for specifying types, functions, and constants to
import into a Scheme interpreter, and for generating code (in C) to
interface these to the Guile and RScheme interpreters in particular.

%package -n	%{libname}-devel
Summary:	Include files and libraries needed for g-wrap development
Group:		%{group}
Requires:	%{name} = %{version}
Requires:	%{libname} = %{version}
Requires(post):	info-install
Requires(preun): info-install
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
# It maintains a modified branch of libffi from gcc, so that ffi can
# be compiled standalone
Provides:	libffi4.0-devel libffi-devel ffi-devel libffi4-devel

%description -n	%{libname}-devel
g-wrap is a tool for creating Scheme interfaces to C libraries.  At
the moment it is most heavily focused on providing access to C
libraries from guile, but it also supports RScheme.

You can provide access to a given C API by creating a specification
file describing the interface you want published at the Scheme level.
g-wrap will handle generating all the lower level library interface
code so that the C library shows up as a set of Scheme functions.

You should install this package if you need to compile programs that
need to use g-wrap C<->Scheme functionality

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .glib
%patch1 -p1 -b .renameinfo

autoconf

%build
%configure2_5x

# build cluster produces random errors
make

%install
rm -rf %{buildroot}
%makeinstall_std

# conflict with older g-wrap package for now
mv %{buildroot}%{_infodir}/%{pkgname}.info %{buildroot}%{_infodir}/%{name}.info
rm -f %{buildroot}%{_infodir}/dir

%multiarch_includes %{buildroot}%{_includedir}/g-wrap/ffi-support.h

%clean
rm -rf %{buildroot}

%post -n %{libname}-devel
%_install_info %{name}.info

%preun -n %{libname}-devel
%_remove_install_info %{name}.info

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README THANKS
%{_datadir}/guile/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_infodir}/*.info*
%{_libdir}/pkgconfig/*.pc
%multiarch %{multiarch_includedir}/g-wrap

%changelog
* Thu Aug 25 2005 Lenny Cartier <lenny@mandriva.org> 1.9.6-4mdk
- rebuild to not requires on old libktechlab stuff

* Tue Aug 23 2005 Abel Cheung <deaddog@mandriva.org> 1.9.6-3mdk
- multiarch

* Mon Aug 22 2005 Abel Cheung <deaddog@mandriva.org> 1.9.6-2mdk
- Add missing guile-library dependency

* Thu May 26 2005 Abel Cheung <deaddog@mandriva.org> 1.9.6-1mdk
- First Mandriva package, based on existing 1.x package
